(define-module (cobra packages)
  #:use-module (guix packages)
  #:use-module (guix gexp)
  #:use-module (gnu packages gl))

(define-public mesa-i915
  (package (inherit mesa)
    (name "mesa-i915")
    (arguments
      (list
        #:configure-flags
        #~(list "-Dgallium-drivers=svga,swrast,i915"
                "-Dplatforms=x11,wayland"
                "-Dglx=dri"
                "-Dosmesa=true"
                "-Dgles2=enabled"
                "-Dgbm=enabled"
                "-Dshared-glapi=enabled"
                "-Dvulkan-drivers=intel,amd"
                "-Dvulkan-layers=device-select,overlay"
                "-Dvideo-codecs=vc1dec,h264dec,h264enc,h265dec,h265enc"
                "-Dbuild-tests=true"
                "-Dllvm=enabled")))))
